Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 802549 - dev-python/requests: rekeyword
Summary: dev-python/requests: rekeyword
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks:
 
Reported: 2021-07-17 07:20 UTC by Michał Górny
Modified: 2021-11-11 03:49 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/requests dev-python/charset_normalizer dev-python/trustme
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-07-17 07:20:29 UTC
Please restore keywords.
Comment 1 NATTkA bot gentoo-dev 2021-07-17 07:24:19 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-07-17 07:28:22 UTC
All sanity-check issues have been resolved
Comment 3 Rolf Eike Beer archtester 2021-07-21 19:40:59 UTC
~sparc added
Comment 4 Marek Szuba archtester gentoo-dev 2021-07-23 13:22:28 UTC
riscv done - builds and installs file, tests fail (see Bug #803515) but in exactly the same way as for already-keyworded 2.25.1-r2.
Comment 5 Sam James archtester gentoo-dev Security 2021-07-24 15:22:05 UTC
ppc64 done
Comment 6 Sam James archtester gentoo-dev Security 2021-07-25 01:10:20 UTC
arm64 done
Comment 7 Matt Turner gentoo-dev 2021-07-25 03:17:03 UTC
alpha done
Comment 8 Sergei Trofimovich (RETIRED) gentoo-dev 2021-07-25 15:37:24 UTC
~hppa keyworded
Comment 9 Larry the Git Cow gentoo-dev 2021-07-31 22:26:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2f49835521a0e9bd936e3d14cbe2b021174385d0

commit 2f49835521a0e9bd936e3d14cbe2b021174385d0
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-07-31 21:15:24 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-07-31 22:26:04 +0000

    dev-python/trustme: Added ~mips to KEYWORDS
    
    Bug: https://bugs.gentoo.org/802549
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.20, Repoman-3.0.3

 dev-python/trustme/trustme-0.8.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03a234fb81f3f21e6e73db74cacb0eab77aa7245

commit 03a234fb81f3f21e6e73db74cacb0eab77aa7245
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-07-31 21:01:04 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-07-31 22:26:03 +0000

    dev-python/charset_normalizer: Added ~mips to KEYWORDS
    
    Bug: https://bugs.gentoo.org/802549
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.20, Repoman-3.0.3

 dev-python/charset_normalizer/charset_normalizer-2.0.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20c6b707a6b4bf0a1f72eabaa99dbbe09b195cf4

commit 20c6b707a6b4bf0a1f72eabaa99dbbe09b195cf4
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-07-31 20:58:23 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-07-31 22:26:01 +0000

    dev-python/requests: Added ~mips to KEYWORDS
    
    Bug: https://bugs.gentoo.org/802549
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.20, Repoman-3.0.3

 dev-python/requests/requests-2.26.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 ernsteiswuerfel archtester 2021-08-02 17:14:50 UTC
Looking good on ppc.

 # cat requests-802549.report 
USE tests started on Mo 2. Aug 12:22:26 CEST 2021

FEATURES=' test' USE='' succeeded for =dev-python/requests-2.26.0

FEATURES=' test' USE='' succeeded for =dev-python/charset_normalizer-2.0.3
Comment 11 Sam James archtester gentoo-dev Security 2021-08-06 20:49:18 UTC
arm done
Comment 12 Sam James archtester gentoo-dev Security 2021-08-06 20:52:30 UTC
ppc done
Comment 13 Sam James archtester gentoo-dev Security 2021-08-06 20:52:42 UTC
(In reply to ernsteiswuerfel from comment #10)
> Looking good on ppc.
> 
>  # cat requests-802549.report 
> USE tests started on Mo 2. Aug 12:22:26 CEST 2021
> 
> FEATURES=' test' USE='' succeeded for =dev-python/requests-2.26.0
> 
> FEATURES=' test' USE='' succeeded for =dev-python/charset_normalizer-2.0.3

Thanks!
Comment 14 Sam James archtester gentoo-dev Security 2021-09-06 00:14:34 UTC
s390 done
Comment 15 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-11-06 07:29:55 UTC
ia64, ping.
Comment 16 Sam James archtester gentoo-dev Security 2021-11-11 03:49:06 UTC
ia64 done

all arches done